package com.iamberry.wechat.face.banner;

import java.util.List;

import com.iamberry.wechat.core.entity.banner.ActionBanner;
import com.iamberry.wechat.core.entity.banner.ActionBannerImage;

/**
 * @author 何秀刚
 * Introduction to the ： 后台-banner管理service接口
 * create date: 2016年1月9日
 */
public interface AdminBannerService {

	/**
	 * 查询banner列表，集成搜索
	 * @param bean
	 * @return
	 */
	public List<ActionBanner> selectBannerListByPaper(String str, int pageSize, int pageNO);

	/**
	 * 查询banner的数据
	 */
	public int selectBannerCountByPaper(String str, int pageSize, int pageNO);

	/**
	 * 添加banner控制
	 */
	public boolean insertBanner(ActionBanner actionBanner);

	/**
	 * 暂停banner的使用
	 */
	public boolean stopBannerById(Integer bannerId);

	/**
	 * 根据ID获取一个banner
	 */
	public ActionBanner selectBannerById(Integer bannerId);

	/**
	 * 根据ID，修改banner
	 */
	public boolean updateBannerById(ActionBanner actionBanner);

	/**
	 * 根据bannerID，获取所属图片
	 */
	public List<ActionBannerImage> selectBannerImgByBannerId(Integer bannerId);

	/**
	 * 添加banner图片
	 */
	public boolean insertBannerImg(ActionBannerImage actionBannerImage);

	/**
	 * 根据图片ID，删除banner图片
	 */
	public boolean deleteBannerImgById(Integer id);

	/**
	 * 根据类型id，获取数据 （当前不适用类型id，只是为了以后扩展）
	 */
	public List<ActionBannerImage> selectNowBannerByType(Integer id);
	
	/**
	 * 根据类型id，缓存数据 （当前不适用类型id，只是为了以后扩展）
	 */
	public void selectNowBannerByTypeToCache(Integer id);
	
	/**
	 * 排序(其实本质是修改时间)
	 * @param list
	 * @return
	 * @author 献
	 * @Time   2016年12月12日
	 */
	public boolean sort(List<ActionBannerImage> list);
}
